{ --------------------------------------------------------------- }
{ Dieser Quelltext ist urheberrechtlich geschuetzt.               }
{ (c) 2004-2023      Martin Wodrich, http://www.martinwodrich.de  }
{                               software@martinwodrich.de         }
{                                                                 }
{ Dieser Quelltext ist Freeware.                                  }
{                                                                 }
{ Die allgemeinen Nutzungsbedingungen fuer diesen Quelltext       }
{ finden Sie in der Datei TOUCH.TXT oder auf                      }
{ http://www.martinwodrich.de/Software/Touch/nutzung.htm          }
{ --------------------------------------------------------------- }
{ $Id: touch0.pas,v 1.43 2012-07-22 10:37:39 martin Exp $ }
{ Globale Konstanten }
unit touch0;

interface

{$I TOUCH.INC }

const anyfile=$21;
      beta='.0';
      version='1.8'+beta;
      touchname='Touch '+version;
      copyright=' (c) 2003-2023 by Martin Wodrich';

      { Betriebsystemstrings }
      {$IFDEF MSDOS}
        {$IFDEF BPLFN}
           pform = ' (DOS16,LFN)';
        {$ELSE}
           pform = ' (DOS16,NON LFN)';
        {$ENDIF}
      {$ENDIF}
      {$IFDEF DPMI}
      pform = ' (DPMI16)';
      {$ENDIF}
      {$IFDEF Win16}
      pform = ' (WIN16)';
      {$ENDIF}
      {$IFDEF Dos32}
      pform = ' (DOS32)';
      {$ENDIF}
      {$IFDEF Win32}
      pform = ' (WIN32)';
      {$ENDIF}
      {$IFDEF Win64}
      pform = ' (WIN64)';
      {$ENDIF}
      {$IFDEF WINCE}
      pform = ' (WINCE)';
      {$ENDIF}
      {$IFDEF Linux}
      {$IFDEF CPU64}
      pform = ' (Linux,x86_64)';
      {$ELSE}
      pform = ' (Linux,i386)';
      {$ENDIF}
      {$ENDIF}  
      {$IFDEF OS2}
        {$IFDEF BP}
        pform = ' (OS2,16 Bit)';
        {$ELSE}
        pform = ' (OS2,EMX)';
        {$ENDIF}
      {$ENDIF}   

      { Betriebsystemabh ngiges }
      {$IFNDEF unix}
      OSDirSeparator = '\';
      Paramark = '/';
      CR='';    
      {$ELSE}
      OSDirSeparator = '/';
      Paramark = '-';
      CR=#13;       
      {$ENDIF}

implementation

end.
{
}
